#!/bin/bash
set -e

WORK_DIR=/proj/nsc_testing/xuan/berzelius-benchmarks/PyTorch/Segmentation/nnUNet
benchmark_modes=("train" "predic")

dim=2
for nodes in {1..1}; do
    for gpus in {1,8}; do
        for batch_size in 256; do
            for benchmark_mode in "${benchmark_modes[@]}"; do

                echo dim ${dim}, nodes ${nodes}, gpus ${gpus}, batch_size ${batch_size}, benchmark_mode ${benchmark_mode}

                # For single node
                bash $WORK_DIR/run_benchmark_single_node.sh ${dim} ${nodes} ${gpus} ${batch_size} ${benchmark_mode}
                sleep 1 
                
            done
        done
    done
done
